דילוג לתוכן

Seedream 5.0 Pro Edit

שילוב

מזהה מודל bytedance/seedream/v5/pro/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

קבצים כמו בדוגמה: ⁨‏0.14 ‏$⁩ 140 קרדיטי API הקבצים שלכם נמדדים לפני ההרצה הרצה בדף הזה

קבלת מפתח API
ByteDance עריכת תמונה #editing#multi-reference#2k

עריכה מרובת תמונות עם Seedream 5.0 Pro, המשלבת עד עשר תמונות עזר לתמונה אחת בגודל 2K.

נוצר ב-Doitong

יצירות ציבוריות שנוצרו עם Seedream 5.0 Pro על ידי קהילת Doitong. אפשר להשתמש מחדש בפרומפט בלחיצה אחת.

יצירות ציבוריות שמוצגות: 16
Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Бенни. Маленький мальчик ~2-3 лет, похож на JJ из Cocomelon но чуть отличается: круглое личико, большие карие глаза, тёмные короткие волосы, румяные...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Full-length view, the entire figure visible from head to feet, standing upright and centered, a gentle young mother named Jenny, around thirty years old....

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Full-length view, the entire figure visible from head to feet, standing upright and centered — Anna, a cheerful big sister about five or six years old....

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Детская зубная щетка ярко-синего цвета с мягкой щетиной. Округлая эргономичная ручка, современный дизайн, стиль 3D-анимации Cocomelon. Изолированный объект на...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Cozy colorful bedroom, warm golden sunrise from the window. Benny (blue t-shirt, round face) asleep under bear-print sheets, eyes closed. A sunbeam lies...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Интерьер светлой ванной комнаты в стиле 3D-анимации Cocomelon. Белая раковина, зеркало с лампой над ним, кафельные стены. Округлые формы, мягкое освещение,...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Просторная кухня в стиле 3D-анимации Cocomelon с теплым желтым освещением от потолочной лампы. Большой обеденный стол, современные стулья и один высокий детский...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Боб. Папа семьи, ~30-35 лет, высокий и добрый, тёмные короткие волосы, широкая улыбка, карие глаза, одет в клетчатую рубашку и брюки. 3D Cocomelon-стиль,...

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה

הוראות טקסט לעריכת התמונה.

•חובה image_urls
גרור קובץ, או

כתובות URL של תמונות להפניה, כאשר העיבוד מוגבל ל-10 הרשומות האחרונות אם הרשימה שנשלחה חורגת מהמקסימום הנתמך של 10 תמונות.

image_size ברירת מחדל auto_2K

ממדי תמונת הפלט, הדורשים מספר פיקסלים כולל בטווח 1024x1024–2048x2048 ויחס ממדים בטווח 1/16–16.

num_images ברירת מחדל 1

מספר הרצות יצירה עצמאיות של המודל באמצעות ההנחיה.

מתקדם output_format · enhance_prompt_mode
output_format ברירת מחדל jpeg

פורמט הקובץ של תמונת הפלט.

enhance_prompt_mode ברירת מחדל standard

הגדרת אופטימיזציית ההנחיה: בחרו `standard` כדי להעדיף איכות תמונה או `fast` כדי לקצר את זמן היצירה.

POST /run/bytedance/seedream/v5/pro/edit?wait=20 הצעת מחיר → ⁨‏0.14 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על Seedream 5.0 Pro Edit

העבירו ל־Seedream 5.0 Pro עד עשר תמונות עזר (מוצרים, לוגואים, אנשים, מקומות) ותארו כיצד לשלב או לשנות אותן; המודל שומר על נאמנות החומרים והכיתוב. הפלט הוא בגודל שבין 1 ל־4 מגה־פיקסלים, עד שש תמונות בכל בקשה.

פרמטרים

שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים

שםסוג ברירת מחדלמותר תיאור
promptחובה
סוגstring
הוראות טקסט לעריכת התמונה.
image_sizeאופציונלי
סוגobject
ברירת מחדלauto_2K
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_1Kauto_2K
ממדי תמונת הפלט, הדורשים מספר פיקסלים כולל בטווח 1024x1024–2048x2048 ויחס ממדים בטווח 1/16–16.
num_imagesאופציונלי num_outputs
סוגinteger
ברירת מחדל1
1 – 6
מספר הרצות יצירה עצמאיות של המודל באמצעות ההנחיה.
output_formatאופציונלי
סוגenum
ברירת מחדלjpeg
jpegpng
פורמט הקובץ של תמונת הפלט.
enhance_prompt_modeאופציונלי
סוגenum
ברירת מחדלstandard
standardfast
הגדרת אופטימיזציית ההנחיה: בחרו `standard` כדי להעדיף איכות תמונה או `fast` כדי לקצר את זמן היצירה.
image_urlsחובה images
סוגurl[] · image
כתובות URL של תמונות להפניה, כאשר העיבוד מוגבל ל-10 הרשומות האחרונות אם הרשימה שנשלחה חורגת מהמקסימום הנתמך של 10 תמונות.
חובה שם קנוני, מתקבל גם הוא

פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v5/pro/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
images
array of object {url, content_type, file_name, file_size, width, height}תמונות שנוצרו.

מודלים נוספים: עריכת תמונה

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/bytedance/seedream/v5/pro/edit.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt